<div align="left">
    <table style="LEFT: 0px; WIDTH: 1000px; TOP: 26px; HEIGHT: 32px" cellspacing="0" cellpadding="0" align="center" bgcolor="#ffffcc" border="1">
        <tr>
          <td colspan="4" bgcolor="#fffffc" valign="center" align="middle" width="600px">
            <ewf:label id="cxWebLabel16" class="CTWebCommonPagestItemHeader"
            onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestItemHeader');"
            onmouseout="__ChangeStyle(event, this);" Caption="Available Download Services"></td>
          <td bgcolor="#fffffc" width="100px" valign="center" align="middle"><ewf:checkbox id="CurrentPricesCbx"
             width="200" Caption="Enabled" Checked="<%=Form.Get3ParamVal('ServiceEnabled', 'Current', 0)%>"  Value="true"
              Class="CTWebCommonPagestCheckDef" onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestCheckHover');"
             onmouseout="__ChangeStyle(event, this);">
             <ewf:label class="CTWebCommonPagestPanel" 
            onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestPanel');"
            onmouseout="__ChangeStyle(event, this);" id="cxWebLabel18" Caption=" Current Price"></td>
          <td bgcolor="#fffffc" width="100px" valign="center" align="middle"><ewf:checkbox id="HistoricalPricesCbx"
             width="200" Caption="Enabled" Checked="<%=Form.Get3ParamVal('ServiceEnabled', 'Historic', 1)%>"  Value="true"
              Class="CTWebCommonPagestCheckDef" onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestCheckHover');"
             onmouseout="__ChangeStyle(event, this);">
             <ewf:label class="CTWebCommonPagestPanel"
            onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestPanel');"
            onmouseout="__ChangeStyle(event, this);" id="cxWebLabel19" Caption=" Historical Prices"></td>
          <td bgcolor="#fffffc" width="100px" valign="center" align="middle"><ewf:checkbox id="DistributionsCbx"
             width="200" Caption="Enabled" Checked="<%=Form.Get3ParamVal('ServiceEnabled', 'Distributions', 2)%>" Value="true"
              Class="CTWebCommonPagestCheckDef" onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestCheckHover');"
             onmouseout="__ChangeStyle(event, this);">
             <ewf:label class="CTWebCommonPagestPanel"
            onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestPanel');"
            onmouseout="__ChangeStyle(event, this);" id="cxWebLabel20" Caption="Distributions (*)"></td>
          <td bgcolor="#fffffc" width="100px" valign="center" align="middle"><ewf:checkbox id="FundamentalsCbx"
             width="200" Caption="Enabled" Checked="<%=Form.Get3ParamVal('ServiceEnabled', 'Fundamentals', 3)%>"  Value="true"
              Class="CTWebCommonPagestCheckDef" onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestCheckHover');"
             onmouseout="__ChangeStyle(event, this);">
             <ewf:label class="CTWebCommonPagestPanel"
            onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestPanel');"
            onmouseout="__ChangeStyle(event, this);" id="cxWebLabel21" Caption="Fundamentals (*)"></td></tr>
          <%var Idx=0 %>
          <% while (Idx<Form.GetParamVal('ScriptFileCount')){%>
        <tr>
          <td valign="center" align="middle" width="25px"><ewf:label class="CTWebCommonPagestItemHeader"
            onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestItemHeader');"
            onmouseout="__ChangeStyle(event, this);" Caption="<%=Form.Get2ParamVal('ScriptSlNo', Idx)%>"></td>
          <td valign="center" align="middle" width="100px"><ewf:urllabel class="CTWebCommonPagestURLDef"
            onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestURLHover');"
            onmouseout="__ChangeStyle(event, this);" Alignment="whalCenter" Width="250"
            WordWrap="False" Height="35" AutoSize="True"
            Caption="<%=Form.Get2ParamVal('ScriptNames', Idx)%>" URL.href="<%=Form.Get2ParamVal('ScriptURLs', Idx)%>"></td>
          <td valign="center" align="middle" width="120px"><ewf:urllabel class="CTWebCommonPagestURLDef"
            onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestURLHover');"  Width="250"
            onmouseout="__ChangeStyle(event, this);" Alignment="whalCenter"
            WordWrap="False" Height="35" AutoSize="True"
            Caption="<%=Form.Get2ParamVal('ScriptDescription', Idx)%>" URL.href="<%=Form.Get2ParamVal('ServiceURLs', Idx)%>"></td>
          <td valign="center" align="middle" width="100px"><ewf:urllabel class="CTWebCommonPagestURLDef"
            onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestURLHover');"
            onmouseout="__ChangeStyle(event, this);" Alignment="whalCenter" Width="250"
            WordWrap="True" Height="35" AutoSize="True" id="MyURLActiv<%=Idx%>"
            Caption="Activation Terms" URL.href="javascript:DoActivateDownload('<%=Form.Get2ParamVal('ScriptFNames', Idx)%>');"></TD>
          <td valign="center" align="middle" width="100px">
            <% if(Form.Get3ParamVal('IsSvcValid', 'Current', Idx)=="false") {%>
                <ewf:label class="CTWebCommonPagestItemHeader"
                onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestItemHeader');"
                onmouseout="__ChangeStyle(event, this);" valign="center" align="middle" id="MyLabel1" Caption="N/A">
            <% } else {%>
                <% if(Form.Get3ParamVal('IsSvcActivated', 'Current', Idx)=="disabled") {%>
                    <ewf:label class="CTWebCommonPagestItemHeader"
                    onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestItemHeader');"
                    onmouseout="__ChangeStyle(event, this);" valign="center" align="middle" id="MyLabel1" Caption="Activate!">
                <% } else {%>
                    <input class="CTWebCommonPagestRadioGrpDef" onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestRadioGrpHover');"
                    onmouseout="__ChangeStyle(event, this);" type="radio" value="<%=Form.Get2ParamVal('ScriptFNames', Idx)%>" name="CurrentRB"
                    <%=Form.Get3ParamVal('IsDLSvcState', 'Current', Idx)%> >
                <% } %>
            <% } %>
          </td>
          <td valign="center" align="middle" width="100px">
            <% if(Form.Get3ParamVal('IsSvcValid', 'Historic', Idx)=="false") {%>
                <ewf:label class="CTWebCommonPagestItemHeader"
                onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestItemHeader');"
                onmouseout="__ChangeStyle(event, this);" valign="center" align="middle" id="MyLabel2" Caption="N/A">
            <% } else {%>
                <% if(Form.Get3ParamVal('IsSvcActivated', 'Historic', Idx)=="disabled") {%>
                    <ewf:label class="CTWebCommonPagestItemHeader"
                    onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestItemHeader');"
                    onmouseout="__ChangeStyle(event, this);" valign="center" align="middle" id="MyLabel1" Caption="Activate!">
                <% } else {%>
                    <input class="CTWebCommonPagestRadioGrpDef" onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestRadioGrpHover');"
                    onmouseout="__ChangeStyle(event, this);" type="radio" value="<%=Form.Get2ParamVal('ScriptFNames', Idx)%>" name="HistoricalRB"
                    <%=Form.Get3ParamVal('IsDLSvcState', 'Historic', Idx)%> >
                <% } %>
            <% } %>
          </td>
          <td valign="center" align="middle" width="100px">
            <% if(Form.Get3ParamVal('IsSvcValid', 'Distributions', Idx)=="false") {%>
                <ewf:label class="CTWebCommonPagestItemHeader"
                onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestItemHeader');"
                onmouseout="__ChangeStyle(event, this);" valign="center" align="middle" id="MyLabel3" Caption="N/A">
            <% } else {%>
                <% if(Form.Get3ParamVal('IsSvcActivated', 'Distributions', Idx)=="disabled") {%>
                    <ewf:label class="CTWebCommonPagestItemHeader"
                    onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestItemHeader');"
                    onmouseout="__ChangeStyle(event, this);" valign="center" align="middle" id="MyLabel1" Caption="Activate!">
                <% } else {%>
                    <input class="CTWebCommonPagestRadioGrpDef" onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestRadioGrpHover');"
                    onmouseout="__ChangeStyle(event, this);" type="radio" value="<%=Form.Get2ParamVal('ScriptFNames', Idx)%>" name="DistributionsRB"
                    <%=Form.Get3ParamVal('IsDLSvcState', 'Distributions', Idx)%> >
                <% } %>
            <% } %>
          </td>
          <td valign="center" align="middle" width="100px">
            <% if(Form.Get3ParamVal('IsSvcValid', 'Fundamentals', Idx)=="false") {%>
                <ewf:label class="CTWebCommonPagestItemHeader"
                onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestItemHeader');"
                onmouseout="__ChangeStyle(event, this);" valign="center" align="middle" id="MyLabel4" Caption="N/A">
            <% } else {%>
                <% if(Form.Get3ParamVal('IsSvcActivated', 'Fundamentals', Idx)=="disabled") {%>
                    <ewf:label class="CTWebCommonPagestItemHeader"
                    onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestItemHeader');"
                    onmouseout="__ChangeStyle(event, this);" valign="center" align="middle" id="MyLabel1" Caption="Activate!">
                <% } else {%>
                    <input class="CTWebCommonPagestRadioGrpDef" onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestRadioGrpHover');"
                    onmouseout="__ChangeStyle(event, this);" type="radio" value="<%=Form.Get2ParamVal('ScriptFNames', Idx)%>" name="FundamentalsRB"
                    <%=Form.Get3ParamVal('IsDLSvcState', 'Fundamentals', Idx)%> >
                <% } %>
            <% } %>
          </td>
        </tr>
          <%Idx++%>
          <%}%>
        <tr>
        <td colspan="8"><ewf:label class="CTWebCommonPagestItemHeader"
            onmouseover="__ChangeStyle(event, this, 'CTWebCommonPagestItemHeader');"
            onmouseout="__ChangeStyle(event, this);" valign="center" align="middle" id="cxWebLabel54" Caption="* - Distributions and Fundamentals - End of Week only">
        </TD>
        </tr>
          </table></div>
